
Tripnet - Feature #43924
Email Feature
07/23/2018 10:08 am - Sreerag Prasannan

Status: Closed Start date: 09/18/2018
Priority: Normal Due date: 09/18/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 42.00 hours
End_Date: 07/31/2018 Areas Affected: Notification mail section of hotel,TQR  status changed areas
remarks: As per disscuss with Mr.Srrerag ,all mails properly sendedFiles Changed: B2Bweb/Code/Utility.Admin.cs

B2Bweb/Areas/Search/Controllers/FlightController.csB2Bweb/Areas/Search/Controllers/HotelController.cs


DB Changes: No DB changes Initial Planned Hours:
Keys & Permissions: Use new key EnableMailToBCC=true for this feature

Use ChangeNotificationMailToBCC=true(For enable BCC mail)

Use EnableTransactionStatusMail=true(For sending mail when transaction status changed)
Description

Inhouse

If any user in inhouse does a ticket/voucher

notification must go to

The email Id in pax page ( TO email )

All the email id in Inhouse as BCC

If any status of this booking is changed in transaction queue Report

To email must go to Pax page email id and Also to BCC in inhouse

Agency

If any voucher/ticket done

The email Id in pax page ( TO email )

All the email id in Inhouse as BCC

The main Email Id As TO

If any status of this booking is changed in transaction queue Report

To email must go to Pax page email id and Also to BCC in inhouse and TO to main email ID

Subtasks:

History
#1 - 07/24/2018 12:26 pm - Ratheesh S
- Due date set to 07/24/2018
- Status changed from New to Assigned
- Assignee set to Jomiya J
- Start date changed from 07/23/2018 to 07/24/2018

#2 - 07/26/2018 01:43 pm - Jubin J
- Due date changed from 07/24/2018 to 07/27/2018
- Assignee changed from Jomiya J to Alphy Jose
- Start date changed from 07/24/2018 to 07/26/2018

Re-assigned

#3 - 07/26/2018 01:45 pm - Alphy Jose
- Status changed from Assigned to In Progress

#4 - 07/26/2018 05:00 pm - Alphy Jose
- % Done changed from 0 to 20

#5 - 07/27/2018 09:34 am - Alphy Jose
- Status changed from In Progress to On hold

Restart after discuss with Mr.SreeRag and complete the Bug #44024

#6 - 07/27/2018 10:58 am - Alphy Jose
- Status changed from On hold to In Progress

#7 - 07/27/2018 02:38 pm - Jubin J
- Due date changed from 07/27/2018 to 07/30/2018

#8 - 07/27/2018 02:39 pm - Jubin J

not completed and need to check every modules

#9 - 07/27/2018 02:46 pm - Alphy Jose
- % Done changed from 20 to 30

Complete In an Inhouse user>>To mail>>Inhouse email ,Pax email
All the email id in Inhouse as BCC

#10 - 07/30/2018 04:31 pm - Vipin das
- Due date changed from 07/30/2018 to 07/31/2018

#11 - 07/30/2018 04:43 pm - Alphy Jose
- % Done changed from 30 to 50

Need to complete when status of this booking is changed in transaction queue Report

#12 - 07/31/2018 11:15 am - Alphy Jose

Use new key EnableMailToBCC=true for this feature
Use ChangeNotificationMailToBCC=true(For enable BCC mail)
Use EnableTransactionStatusMail=true(For sending mail when transaction status changed)
In last publish patch apply only  when inhouse is login .Need to complete when Agency login

#13 - 07/31/2018 04:49 pm - Alphy Jose
- Status changed from In Progress to Fixed not Tested
- % Done changed from 50 to 100
- End_Date set to 07/31/2018

#14 - 08/01/2018 07:15 am - Alphy Jose

Use NotificationMail.xml for add emails for each tranaction status

#15 - 08/10/2018 02:30 pm - Sreerag Prasannan
- File image_Gm.png added
- Status changed from Fixed not Tested to Not Fixed

Issues

for Main Admin - unwanted one "TO" email is going to Akhil, please check if in code it exist.

Passenger page email is not receiving Notiifcation of status

Transaction change status email is not received for configured emails.

Please let me know your availability so we can sit and check this.

#16 - 08/21/2018 12:52 pm - Alphy Jose
- Status changed from Not Fixed to In Progress

#17 - 08/21/2018 04:47 pm - Alphy Jose

Need staging db details for checking issue.No issue found in local and 100

#18 - 08/22/2018 02:40 pm - Alphy Jose
- Status changed from In Progress to Fixed not Tested

Issues fixed
Make sure permission EnableNotificationMailCC is not added and verify emails which is added in NotificationMail.xml for the  tranaction status

#19 - 09/06/2018 04:50 pm - Alphy Jose
- remarks set to As per disscuss with Mr.Srrerag ,all mails properly sended
- DB Changes set to No DB changes
- Keys & Permissions set to Use new key EnableMailToBCC=true for this feature
Use ChangeNotificationMailToBCC=true(For enable BCC mail)
Use EnableTransactionStatusMail=true(For sending mail when transaction status changed)
- Areas Affected set to Notification mail section of hotel,TQR  status changed areas
- Files Changed set to B2Bweb/Code/Utility.Admin.cs
B2Bweb/Areas/Search/Controllers/FlightController.csB2Bweb/Areas/Search/Controllers/HotelController.cs

All issues disscusssed with Mr.Sreerag fixed,As of now 
Inhouse:
To:Main Email ID,Passenger Email
BCC:Notification MailID's
Transaction Status:
To:Passenger Email,Main Email ID
BCC:Mail IDs added in NotificationMail.xml
Travel Agent:
To:Main Email ID,Passenger Email,Notification MailID's
Transaction Status:
To:Passenger Email,Main Email ID,Notification MailID's

#20 - 09/08/2018 09:04 am - Sreerag Prasannan
- File 08-00-2018-09-09_Log.txt added
- File 08-01-2018-09-09_Log.txt added

Agency mail notification not working.

As an agency when login and book, no notification is received for hotel.

example : sreerag.p@caxita.com / a , logged in and put in pax page an meail id - this email id is not getting any notification of voucher. Voucher is not
getting received, flight cant check due to below case

from TQR notiifcations are getting received

Also flight booking is not happening

#21 - 09/11/2018 08:52 am - Sreerag Prasannan

the email id in passenger page for agency is not receiving voucher.

Also flight ticket not generated, please fix.

#22 - 09/11/2018 05:02 pm - Alphy Jose

email id in passenger page for agency is now receiving voucher.
issue fixed by the code change in B2Bweb\Areas\Search\Controllers

#23 - 09/17/2018 03:45 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Alphy Jose)

05/04/2025 4/5

mailto:sreerag.p@caxita.com


Issue fixed.

Files
image_Gm.png 54.4 KB 08/10/2018 Sreerag Prasannan
08-01-2018-09-09_Log.txt 964 Bytes 09/08/2018 Sreerag Prasannan
08-00-2018-09-09_Log.txt 9.08 KB 09/08/2018 Sreerag Prasannan
